## dtklog 0.0.1

=== debian/changelog ===
dtklog (0.0.1) unstable; urgency=medium

  * release 0.0.1

 -- Mike Chen <chenke@deepin.org>  Fri, 05 Jul 2024 15:31:08 +0800

## dtklog 0.0.2

=== debian/changelog ===
dtklog (0.0.2-3) unstable; urgency=medium

  * debian/control: Add missing Replaces/Breaks against older
    libdtkcommon and libdtkcommon-dev packages.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 14:37:13 -0500

dtklog (0.0.2-2) unstable; urgency=medium

  * Source-only upload.
  * Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 12:10:08 -0500

dtklog (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1090334)

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Dec 2024 18:36:15 -0500

## dtklog 0.0.3

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.13)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_AUTOMOC ON)

SET (DLOG_VERSION "0.0.1" CACHE STRING "define project version")
SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
SET (BUILD_WITH_QT6 OFF CACHE BOOL "Build with Qt6")

IF(BUILD_WITH_QT6)
  SET(QT_VERSION_MAJOR "6")
  SET(DTK_VERSION_MAJOR "6")
ELSE()
  SET(QT_VERSION_MAJOR "5")
ENDIF()

SET (DLog "Dtk${DTK_VERSION_MAJOR}Log")
PROJECT(${DLog}
  VERSION ${DLOG_VERSION}
  DESCRIPTION "Simple, convinient and thread safe logger for Qt-based C++ apps"
  LANGUAGES CXX
)

INCLUDE(GNUInstallDirs)
INCLUDE(CMakePackageConfigHelpers) # configure_package_config_file
SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dtk${QT_VERSION_MAJOR}/DLog")
SET (LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}")
SET (CONFIG_CMAKE_INSTALL_DIR "${LIBRARY_INSTALL_DIR}/cmake/${DLog}" CACHE STRING "Install dir for cmake config files")
SET (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/mkspecs/modules" CACHE STRING "Install dir for qt pri files")

FIND_PACKAGE(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
FIND_PACKAGE(spdlog REQUIRED)

IF(BUILD_WITH_SYSTEMD)
  FIND_PACKAGE(PkgConfig REQUIRED)
  PKG_CHECK_MODULES(Systemd REQUIRED IMPORTED_TARGET libsystemd)
ENDIF()

ADD_DEFINITIONS(-DLIBDLOG_LIBRARY)

INCLUDE_DIRECTORIES(BEFORE include)

SET(sources
  src/Logger.cpp
  src/AbstractAppender.cpp
  src/AbstractStringAppender.cpp
  src/ConsoleAppender.cpp
  src/FileAppender.cpp
  src/RollingFileAppender.cpp
  src/dloghelper.cpp
  src/rollingfilesink_p.h
)

SET(includes
  include/AbstractStringAppender.h
  include/AbstractAppender.h
  include/ConsoleAppender.h
  include/FileAppender.h
  include/RollingFileAppender.h
  include/dloggerdefs.h
  include/dloghelper.h
  include/Logger.h
  include/dlog_global.h
)

# OutputDebugAppender is only for Windows systems
IF(WIN32)
  SET(sources ${sources} src/OutputDebugAppender.cpp)
  SET(includes ${includes} include/OutputDebugAppender.h)
ENDIF(WIN32)

IF(BUILD_WITH_SYSTEMD)
  SET(sources ${sources} src/JournalAppender.cpp)
  SET(includes ${includes} include/JournalAppender.h)
ENDIF(BUILD_WITH_SYSTEMD)

SET(library_target dtk${DTK_VERSION_MAJOR}log)

ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})

TARGET_INCLUDE_DIRECTORIES(${library_target} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
  "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>"
)

TARGET_LINK_DIRECTORIES(${library_target} INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
  "$<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>"
)

SET_TARGET_PROPERTIES(${library_target} PROPERTIES
  VERSION ${CMAKE_PROJECT_VERSION}
  SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
  EXPORT_NAME Log
)

TARGET_LINK_LIBRARIES(${library_target} PUBLIC Qt${QT_VERSION_MAJOR}::Core)
TARGET_LINK_LIBRARIES(${library_target} PRIVATE
  Qt${QT_VERSION_MAJOR}::CorePrivate
  spdlog::spdlog
)

IF(BUILD_WITH_SYSTEMD)
  ADD_DEFINITIONS(-DBUILD_WITH_SYSTEMD)
  TARGET_LINK_LIBRARIES(${library_target} PRIVATE PkgConfig::Systemd)
ENDIF()

INSTALL(TARGETS ${library_target}
  EXPORT ${DLog}Targets
  DESTINATION ${LIBRARY_INSTALL_DIR}
)

INSTALL(EXPORT ${DLog}Targets
  FILE ${DLog}Targets.cmake
  NAMESPACE Dtk${DTK_VERSION_MAJOR}::
  DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
)

INSTALL(FILES ${includes} DESTINATION "${INCLUDE_INSTALL_DIR}")

# pkgconfig files
CONFIGURE_FILE(misc/dtklog.pc.in ${library_target}.pc @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${library_target}.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# qmake module file
CONFIGURE_FILE(misc/qt_lib_dtklog.pri.in qt_lib_dtklog.pri @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt_lib_dtklog.pri DESTINATION "${MKSPECS_INSTALL_DIR}")

CONFIGURE_PACKAGE_CONFIG_FILE(misc/DLogConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${DLog}Config.cmake
    INSTALL_DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
)
WRITE_BASIC_PACKAGE_VERSION_FILE(
    "${CMAKE_CURRENT_BINARY_DIR}/${DLog}ConfigVersion.cmake"
    VERSION ${DLOG_VERSION}
    COMPATIBILITY SameMajorVersion
)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DLog}Config.cmake DESTINATION ${CONFIG_CMAKE_INSTALL_DIR})
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DLog}ConfigVersion.cmake DESTINATION ${CONFIG_CMAKE_INSTALL_DIR})

=== debian/changelog ===
dtklog (0.0.3-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 10:53:53 +0300

dtklog (0.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Apr 2025 15:33:38 -0400

=== debian/control ===
Source: dtklog
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat ( =13),
 libspdlog-dev,
 libsystemd-dev,
 pkgconf,
 qtbase5-private-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/linuxdeepin/dtklog
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtklog.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtklog
Description: Simple, convenient and thread-safe C++ logger library
 Dtklog provides a simple, convenient and thread-safe logger for Qt-based
 C++ applications.

Package: libdtklog0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtklog,
 libdtkcommon (<< 5.7.11-2~),
Replaces:
 libdtklog,
 libdtkcommon (<< 5.7.11-2~),
Provides:
 libdtklog,
Multi-Arch: same
Description: ${source:Synopsis} (shared library)
 ${source:Extended-Description}
 .
 This package contains the shared libraries.

Package: libdtklog-dev
Architecture: any
Section: libdevel
Depends:
 libdtklog0 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libdtkcommon-dev (<< 5.7.11-2~),
Replaces:
 libdtkcommon-dev (<< 5.7.11-2~),
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the library development files.

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtklog-$1.tar.gz%" \
    https://github.com/linuxdeepin/dtklog/tags \
    (?:.*?/)?v?(\d[\d.]*r?c?\d?)\.tar\.gz debian uupdate

## dtklog 0.0.4

=== debian/changelog ===
dtklog (0.0.4) unstable; urgency=medium

  * Release 0.0.4

 -- yeshanshan <yeshanshan@uniontech.com>  Mon, 23 Jun 2025 14:52:44 +0800

dtklog (0.0.3) unstable; urgency=medium

  * fix: resolve compilation issues on Qt 6.9

 -- JiDe Zhang <zhangjide@deepin.org>  Fri, 12 Apr 2025 14:00:00 +0800

dtklog (0.0.2) unstable; urgency=medium

  * release 0.0.2

 -- Mike Chen <chenke@deepin.org>  Thu, 05 Dec 2024 14:14:09 +0800

## dtklog 0.0.5

=== debian/changelog ===
dtklog (0.0.5) unstable; urgency=medium

  * Release 0.0.5

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 20:04:35 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5
export DEB_CXXFLAGS_MAINT_APPEND = -Ofast

# 安全编译参数
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')

# Calculate build version:
# 5.6.8 -> 0; 5.6.8.7 -> 7; 5.6.8+u001 -> 1; 5.6.8.7+u001 -> 7; 5.6.8.0+u001 -> 0
BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}' | awk -F'.' '{print $$4}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')
ifeq ($(BUILD_VER), 0)
ifeq ($(shell expr $(shell echo "$(VERSION)" | awk -F. '{print NF-1}') '<' 3), 1)
	BUILD_VER=$(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}'  | sed 's/[^0-9]//g' | awk '{print int($$1)}')
endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDLOG_VERSION=$(PACK_VER) -DBUILD_WITH_SYSTEMD=ON

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtklog (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtklog 0.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,9 @@
 SET(CMAKE_CXX_STANDARD_REQUIRED ON)
 SET(CMAKE_AUTOMOC ON)
 
-SET (DLOG_VERSION "0.0.1" CACHE STRING "define project version")
+FILE (READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
+STRING (STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
+SET (DLOG_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")
 SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
 SET (BUILD_WITH_QT6 OFF CACHE BOOL "Build with Qt6")
 
@@ -96,6 +98,13 @@
 )
 
 TARGET_LINK_LIBRARIES(${library_target} PUBLIC Qt${QT_VERSION_MAJOR}::Core)
+
+if("${QT_VERSION_MAJOR}" STREQUAL "6")
+  if ("${Qt6Core_VERSION}" VERSION_GREATER_EQUAL 6.10.0)
+    find_package(Qt6 REQUIRED COMPONENTS CorePrivate)
+  endif()
+endif()
+
 TARGET_LINK_LIBRARIES(${library_target} PRIVATE
   Qt${QT_VERSION_MAJOR}::CorePrivate
   spdlog::spdlog

=== debian/changelog ===
dtklog (0.0.6) unstable; urgency=medium

  * Release 0.0.6

 --  yeshanshan <packages@deepin.org>  Fri, 10 Oct 2025 17:59:13 +0800

## dtklog 6.7.33

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,29 +4,38 @@
 SET(CMAKE_CXX_STANDARD_REQUIRED ON)
 SET(CMAKE_AUTOMOC ON)
 
-FILE (READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
-STRING (STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
-SET (DLOG_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")
-SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
-SET (BUILD_WITH_QT6 OFF CACHE BOOL "Build with Qt6")
+FILE (READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" FILE_VERSION)
+STRING (STRIP "${FILE_VERSION}" FILE_VERSION)
 
-IF(BUILD_WITH_QT6)
-  SET(QT_VERSION_MAJOR "6")
-  SET(DTK_VERSION_MAJOR "6")
-ELSE()
-  SET(QT_VERSION_MAJOR "5")
-ENDIF()
-
-SET (DLog "Dtk${DTK_VERSION_MAJOR}Log")
-PROJECT(${DLog}
-  VERSION ${DLOG_VERSION}
+PROJECT(DtkLog
+  VERSION ${FILE_VERSION}
   DESCRIPTION "Simple, convinient and thread safe logger for Qt-based C++ apps"
+  HOMEPAGE_URL "https://github.com/linuxdeepin/dtklog"
   LANGUAGES CXX
 )
 
+SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
+
+option(DTK5 "Build DTK5." ON)
+if(DTK5)
+    set(DTK_VERSION_MAJOR "5")
+    set(DTK_NAME_SUFFIX "")
+else()
+    set(DTK_VERSION_MAJOR "6")
+    set(DTK_NAME_SUFFIX "6")
+endif()
+
+set(DTK_VERSION_MINOR ${PROJECT_VERSION_MINOR})
+set(DTK_VERSION_PATCH ${PROJECT_VERSION_PATCH})
+# Set so version like 0.x.y, it's required for DTK library ABI compatibility.
+set(DTK_VERSION "0.${DTK_VERSION_MINOR}.${DTK_VERSION_PATCH}")
+set(QT_VERSION_MAJOR ${DTK_VERSION_MAJOR})
+
+SET (DLog "Dtk${DTK_NAME_SUFFIX}Log")
+
 INCLUDE(GNUInstallDirs)
 INCLUDE(CMakePackageConfigHelpers) # configure_package_config_file
-SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dtk${QT_VERSION_MAJOR}/DLog")
+SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dtk${DTK_VERSION_MAJOR}/DLog")
 SET (LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}")
 SET (CONFIG_CMAKE_INSTALL_DIR "${LIBRARY_INSTALL_DIR}/cmake/${DLog}" CACHE STRING "Install dir for cmake config files")
 SET (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/mkspecs/modules" CACHE STRING "Install dir for qt pri files")
@@ -77,7 +86,7 @@
   SET(includes ${includes} include/JournalAppender.h)
 ENDIF(BUILD_WITH_SYSTEMD)
 
-SET(library_target dtk${DTK_VERSION_MAJOR}log)
+SET(library_target dtk${DTK_NAME_SUFFIX}log)
 
 ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})
 
@@ -92,8 +101,8 @@
 )
 
 SET_TARGET_PROPERTIES(${library_target} PROPERTIES
-  VERSION ${CMAKE_PROJECT_VERSION}
-  SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
+  VERSION ${DTK_VERSION}
+  SOVERSION "0"
   EXPORT_NAME Log
 )
 
@@ -122,7 +131,7 @@
 
 INSTALL(EXPORT ${DLog}Targets
   FILE ${DLog}Targets.cmake
-  NAMESPACE Dtk${DTK_VERSION_MAJOR}::
+  NAMESPACE Dtk${DTK_NAME_SUFFIX}::
   DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
 )
 
@@ -142,7 +151,7 @@
 )
 WRITE_BASIC_PACKAGE_VERSION_FILE(
     "${CMAKE_CURRENT_BINARY_DIR}/${DLog}ConfigVersion.cmake"
-    VERSION ${DLOG_VERSION}
+    VERSION ${DTK_VERSION}
     COMPATIBILITY SameMajorVersion
 )

=== debian/changelog ===
dtklog (6.7.33) unstable; urgency=medium

  * Release 6.7.33

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 05 Feb 2026 17:26:47 +0800

dtklog (6.7.32) unstable; urgency=medium

  * Release 6.7.32

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 22 Jan 2026 16:53:09 +0800

dtklog (6.7.31) unstable; urgency=medium

  * Release 6.7.31

 --  yeshanshan <yeshanshan@uniontech.com>  Tue, 06 Jan 2026 13:16:36 +0800

dtklog (0.0.7) unstable; urgency=medium

  * Release 0.0.7

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:34:34 +0800

=== debian/control ===
Source: dtklog
Section: libdevel
Priority: optional
Maintainer: Shanshan Ye <yeshanshan@uniontech.com>
Build-Depends: debhelper-compat ( =12),
    cmake,
    pkg-config,
    libspdlog-dev,
    libsystemd-dev,
    qtbase5-dev <!nodtk5>,
    qtbase5-private-dev <!nodtk5>,
    qt6-base-dev <!nodtk6>,
    qt6-base-private-dev <!nodtk6>
Standards-Version: 3.9.8

Package: libdtk6log
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Build-Profiles: <!nodtk6>
Description: Simple, convinient and thread safe logger for Qt-based C++ apps (DTK6 with Qt6)
 This package contains the shared libraries.

Package: libdtk6log-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtk6log( =${binary:Version})
Build-Profiles: <!nodtk6>
Description: Simple, convinient and thread safe logger for Qt-based C++ apps (DTK6 with Qt6)
 This package contains the header files and static libraries of dlog

Package: libdtklog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Build-Profiles: <!nodtk5>
Description: Simple, convinient and thread safe logger for Qt-based C++ apps (DTK5 with Qt5)
 This package contains the shared libraries.

Package: libdtklog-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtklog( =${binary:Version})
Build-Profiles: <!nodtk5>
Description: Simple, convinient and thread safe logger for Qt-based C++ apps (DTK5 with Qt5)
 This package contains the header files and static libraries of dlog

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# 安全编译参数
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

# reproducible 编译参数
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_BUILD_RPATH=ON

# Build-Profiles 控制
BUILD_DTK5 := $(if $(filter nodtk5,$(DEB_BUILD_PROFILES)),OFF,ON)
BUILD_DTK6 := $(if $(filter nodtk6,$(DEB_BUILD_PROFILES)),OFF,ON)

%:
	dh $@

override_dh_auto_configure:
ifeq ($(BUILD_DTK5),ON)
	mkdir -p build5
	QT_SELECT=qt5 dh_auto_configure --builddirectory=build5 -- \
		$(DEB_CMAKE_EXTRA_FLAGS) \
		-DBUILD_WITH_SYSTEMD=ON \
		-DDTK5=ON
endif
ifeq ($(BUILD_DTK6),ON)
	mkdir -p build6
	dh_auto_configure --builddirectory=build6 -- \
		$(DEB_CMAKE_EXTRA_FLAGS) \
		-DBUILD_WITH_SYSTEMD=ON \
		-DDTK5=OFF
endif

override_dh_auto_build:
ifeq ($(BUILD_DTK5),ON)
	QT_SELECT=qt5 dh_auto_build --builddirectory=build5
endif
ifeq ($(BUILD_DTK6),ON)
	dh_auto_build --builddirectory=build6
endif

override_dh_auto_install:
ifeq ($(BUILD_DTK5),ON)
	QT_SELECT=qt5 dh_auto_install --builddirectory=build5
endif
ifeq ($(BUILD_DTK6),ON)
	dh_auto_install --builddirectory=build6
endif

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build5
	dh_auto_clean --builddirectory=build6
	rm -rf build5 build6
